Void a credit note
Takes a credit note back, so the invoice asks for that amount again. Possible only while the invoice is open.
Takes a credit note back, so the invoice asks for that amount again. Possible only while the invoice is open.
Authorization
api-key API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Path Parameters
Credit note ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/credit-notes/string/void"{ "id": "cn_3Nf8a2kLmPq9", "object": "credit_note", "number": "INV-000012-CN1", "status": "issued", "type": "pre_payment", "invoiceId": "string", "customerId": "string", "currency": "EGP", "reason": "duplicate", "memo": "string", "effectiveAt": "string", "lines": [ { "id": "cnli_3Nf8a2kLmPq9", "object": "credit_note_line_item", "type": "invoice_line_item", "invoiceLineItemId": "string", "description": "string", "quantity": 0, "unitAmount": -9007199254740991, "amount": -9007199254740991, "discountAmount": -9007199254740991, "taxes": [ null ] } ], "amount": -9007199254740991, "amountShipping": -9007199254740991, "discountAmount": -9007199254740991, "subtotal": -9007199254740991, "subtotalExcludingTax": -9007199254740991, "total": -9007199254740991, "totalExcludingTax": -9007199254740991, "totalTaxes": [ { "amount": -9007199254740991, "taxableAmount": -9007199254740991, "taxBehavior": "exclusive", "taxRateDetails": {} } ], "prePaymentAmount": -9007199254740991, "postPaymentAmount": -9007199254740991, "outOfBandAmount": -9007199254740991, "refunds": [ { "refundId": "string", "amountRefunded": -9007199254740991 } ], "customerBalanceTransactionId": "string", "voidedAt": "string", "metadata": { "property1": null, "property2": null }, "merchantId": "string", "createdAt": "string", "updatedAt": "string"}Download a credit note GET
Returns the credit note as a PDF file, in the language of its invoice.
List payment links GET
Lists payment links with filtering, pagination, and search. Features: - Filter by active status - Search by product name, description, or unit label - Filter by amount (equal, between, greater, less) - Filter by date (last period, equal, between, after, before) - Pagination support